Linux
在Arch Linux上使用Makepkg

在Arch Linux上使用Makepkg

如果makepkg直接使用它,将会对您的系统造成一定的污染。的base-devel必须安装软件包组。这样,默认情况下,将保留仅生成软件包所需的依赖关系,而无需使用它。可以更改此默认行为,但这涉及安装和卸载软件包以及污染/var/log/pacman.log。请参阅本文以了解和一般使用AUR,包...

在Arch Linux上构建软件包(包括AUR)

在Arch Linux上构建软件包(包括AUR)

在Arch Linux上,官方存储库为:核心,额外和社区。这些软件包已被编译,并通过安装pacman。在大多数情况下,一般用户可以忽略这3个正式存储库是分开的。Core包含最关键的软件包,例如内核,引导过程,网络,软件包管理,openssh等。在发布新版本之前,它还具有更严格的测试要...

在Arch Linux上使用Devtools

在Arch Linux上使用Devtools

Devtools软件包最初是为受信任的用户制作的,可以为官方存储库正确创建软件包。但是,普通用户也可以使用它来构建AUR软件包,甚至可以修改官方软件包。请参阅本指南,以大致了解和使用AUR,包括获取PKGBUILD。如果您选择编译软件包的方法,那么此文档仅显示特定于Devtools的步...

如何在Arch Linux上安装MongoDB 4.0

如何在Arch Linux上安装MongoDB 4.0

先决条件运行最新Arch Linux的服务器须藤访问:要求以root用户身份运行的命令以前缀#,而可以以普通用户身份运行的命令以前缀$。建议以root用户身份运行命令的方法是,以普通用户的身份为每个命令添加前缀sudo。安装MongoDB 4.0数据库MongoDB位于AUR(Arch用户存储库...

使用Docker在CentOS 7上开始使用SQL Server 2017(MS-SQL)

使用Docker在CentOS 7上开始使用SQL Server 2017(MS-SQL)

先决条件Docker引擎1.8及更高版本。至少4GB的磁盘空间。至少4GB的RAM。步骤1.安装Docker为了安装SQL Server,必须首先安装Docker。如果您已经安装了Docker,则可以跳过此步骤。在终端中,键入以下命令。建议将该命令运行为root。# curl -s https://get.docker.com/ |...

在CentOS上安装Java SE

在CentOS上安装Java SE

介绍Java是一种流行的软件平台,可让您在各种硬件环境中开发和运行Java应用程序和小程序。Java平台有三个版本:标准版(SE),企业版(EE)和微型版(ME)。在本文中,我们仅讨论Java的标准版(SE)。Java SE平台也有两种不同的实现:OpenJDK和Oracle Java。每个实现的源代...

如何在Ubuntu 16.04上手动安装Java 8

如何在Ubuntu 16.04上手动安装Java 8

在本指南中,您将学习如何在Ubuntu 16.04上手动安装Java 8。本教程中的说明也适用于其他版本的Ubuntu,包括14.04、16.10和17.04。先决条件一个文本编辑器,无论是vi,vim,emacs,等。步骤1:下载最新的JDK建议您仅安装最新的JDK。# wget http://download.oracle.com/ot...

在Ubuntu 16.04上安装Tomcat

在Ubuntu 16.04上安装Tomcat

本指南说明了如何在Ubuntu 16.04服务器上安装Apache Tomcat。先决条件部署新的Ubuntu 16.04服务器实例。创建一个非root用户的sudo用户。以创建的用户身份通过​​SSH登录到计算机。更新您的系统确保您具有Ubuntu 16.04的最新稳定版本。sudo apt-get update 安装Java...

在CentOS 7上安装eSpeak

在CentOS 7上安装eSpeak

ESpeak可以生成文本到语音(TTS)音频文件。由于许多原因,这些功能可能很有用,例如创建自己的图灵(Captcha)测试以说明其挑战。本文将介绍如何.wav在CentOS 7上安装eSpeak并创建格式简单的TTS音频文件。安装eSpeak以root用户身份登录并运行以下命令来安装eSpeak。# yum i...

如何在CentOS 7上安装Automad CMS

如何在CentOS 7上安装Automad CMS

Automad 是一个用PHP编写的基于开源文件的内容管理系统(CMS)和模板引擎。Automad源代码托管在Bitbucket上。本指南将向您展示如何在CentOS 7 Vultr实例上安装Automad CMS。要求PHP 5.4或更高版本。Web服务器软件。在本指南中,我们使用Nginx。在你开始之前检查CentOS版...